Home

# Class goog.tweak.StringSetting

A registry setting for string values.

extends goog.tweak.BasePrimitiveSetting

Instance Method Summary
| `encodeNewValue() ⇒ string` Returns the query param encoded representation of the setting's value.
| `getValidValues() ⇒ (Array.<string>|null|undefined)` Returns the valid values for the setting.
| `initialize(?string value)` Sets the value of the entry based on the value of the query parameter. Once this is called, configuration settings (associated query parameter, token, etc) may not be changed.
| `setValidValues((Array.<string>|null|undefined) values)` Sets the valid values for the setting.